### Type parameters

- #### Variables

### Hierarchy

- PublishStartMessageRequest

## Index

### Properties

- correlationKey
- messageId
- name
- timeToLive
- variables

## Properties

### Optional correlationKey

correlationKey: undefined | string

- Defined in lib/interfaces.ts:208

### Optional messageId

messageId: undefined | string

- Defined in lib/interfaces.ts:207

Unique ID for this message

### name

name: string

- Defined in lib/interfaces.ts:204

Should match the "Message Name" in a BPMN Message Catch

### timeToLive

timeToLive: number

- Defined in lib/interfaces.ts:205

### variables

variables: Variables

- Defined in lib/interfaces.ts:209

Generated using TypeDoc